%define __libtoolize :
Summary: Ices sends a continuous stream of mp3 data to an icecast server
Name: ices
Version: 0.2.3
Release: 4m
License: GPL
URL: http://www.icecast.org/
Source0: http://www.icecast.org/releases/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
NoSource: 0
Group: System Environment/Daemons
BuildRequires: libxml2-devel
Requires: icecast
Obsoletes: shout

%description
ices, armed with a list of mp3 files, sends a continuous stream of
mp3 data to an icecast server. The server is then responsible for
accepting client connections and feeding the mp3 stream to them.
But the stream originates in the streamer, 'ices'. The terms
'encoder', 'streamer' and 'source' are used equivalently
throughout this document, and throughout all the documentation in
the streaming system.


%package -n libshout
Summary: Libshout allows applications to easily communicate and broadcast to an Icecast streaming media server.
Group: Development/Libraries
Version: 1.0.9

%description -n libshout
Libshout allows applications to easily communicate and broadcast
to an Icecast streaming media server.  It handles the socket connections,
metadata communication, and data streaming for the calling application, and
lets developers focus on feature sets instead of implementation details.

%prep
%setup -q

%build
%configure --mandir=%{_mandir} --enable-fsstd --disable-static --sysconfdir=%{_sysconfdir}/icecast --bindir=%{_prefix}/sbin --without-libshout --without-lame
make

%install
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}/etc/icecast/
cp conf/ices.conf.dist %{buildroot}/etc/icecast/ices.conf

# remove
rm -rf %{buildroot}/usr/doc

%post   -n libshout -p /sbin/ldconfig
%postun -n libshout -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS BUGS CHANGES COPYING FAQ FEATURES FILES INSTALL README* TESTED TODO
%doc doc/icesmanual.html
/usr/sbin/ices
%config /etc/icecast/ices.conf
%config /etc/icecast/ices.conf.dist
%config /etc/icecast/modules/ices.pm.dist
%config /etc/icecast/modules/ices.py.dist
%{_mandir}/man1/ices.1*

%files -n libshout
%defattr(-,root,root)
%doc libshout/doc/*.html libshout/doc/style.css
/usr/include/shout
/usr/lib/libshout.la
/usr/lib/libshout.so*

%clean 
rm -rf %{buildroot}

%changelog
* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (0.2.3-4m)
- revised spec for enabling rpm 4.2.

* Fri Feb 28 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.2.3-3m)
- enable stack protector again

* Wed Feb 12 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.2.3-2m)
- --without-lame

* Tue Feb 11 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.2.3-1m)
  update to 0.2.3

* Tue Feb 11 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.0.1-0.5.5m)
  disable stack protector

* Thu Oct 12 2000 Motonobu Ichimura <famao@kondara.org>
- fixed Group Name ;-<

* Thu Aug 31 2000 AYUHANA Tomonori <l@kondara.org>
- (0.0.1.beta5-1k)
- 1st release for Kondara MNU/Linux
